Create
curl --request POST \
--url https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/databases/{databaseId}/restores \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source": {
"backupId": "<string>",
"pointInTime": "2023-11-07T05:31:56Z"
},
"targetName": "<string>",
"targetEnvironment": "<string>",
"targetRegion": "<string>",
"targetSku": "<string>"
}
'import requests
url = "https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/databases/{databaseId}/restores"
payload = {
"source": {
"backupId": "<string>",
"pointInTime": "2023-11-07T05:31:56Z"
},
"targetName": "<string>",
"targetEnvironment": "<string>",
"targetRegion": "<string>",
"targetSku": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source: {backupId: '<string>', pointInTime: '2023-11-07T05:31:56Z'},
targetName: '<string>',
targetEnvironment: '<string>',
targetRegion: '<string>',
targetSku: '<string>'
})
};
fetch('https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/databases/{databaseId}/restores', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"sourceDatabaseId": "<string>",
"targetDatabaseId": "<string>",
"source": {
"backupId": "<string>",
"pointInTime": "2023-11-07T05:31:56Z"
},
"progressPercent": 123,
"error": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}databaseRestores
Create
Restore a recovery point or timestamp into a newly provisioned isolated database. The source is never overwritten.
POST
/
v1
/
orgs
/
{orgId}
/
projects
/
{projectId}
/
databases
/
{databaseId}
/
restores
Create
Authorizations
apiKeysession
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The organization's id (UUID) or slug — either form is accepted.
The project's id (UUID) or slug — either form is accepted.
Body
application/json
Response
Restore queued.
Available options:
queued, restoring, verifying, ready, failed, promoted Show child attributes
Show child attributes
⌘I